@using MyVod.Infrastructure.Models
@model MyVod.Models.CheckoutViewModel

@{
    ViewBag.Title = "Checkout";
    Layout = "_Layout";
}

<h2 class="page-header">Checkout - @Model.Movie.Title</h2>

<section class="checkout-container">
@using (Html.BeginForm("Index", "Order", new { MovieId = @Model.Movie.Id }, FormMethod.Post))
{
  <div class="row g-5">
    <div class="col-md-5 col-lg-4 order-md-last">
      <ul class="list-group mb-3">
        <li class="list-group-item d-flex justify-content-between lh-sm">
          <div>
            <h6 class="my-0">Movie name</h6>
            <small class="text-muted">@Model.Movie.Title</small>
          </div>
          <span class="text-muted">$@((double)Model.Movie.Price / 100) </span>
        </li>
        <li class="list-group-item d-flex justify-content-between lh-sm">
          <div>
            <h6 class="my-0">Tax Rate:</h6>
          </div>
          <span class="text-muted">@Model.Tax %</span>
        </li>
        <li class="list-group-item d-flex justify-content-between">
          <span>Total (USD)</span>
          <strong>$@((double)Model.Movie.Price / 100 * (((double)Model.Tax / 100) + 1.0))</strong>
        </li>
      </ul>
    </div>
    <div class="col-md-7 col-lg-8">
      <h4 class="mb-3">Billing address</h4>
        <div class="row g-3">
          <div class="col-sm-6">
            <label for="firstName" class="form-label">First name</label>
            <input type="text" class="form-control" id="firstName" name="FirstName" placeholder="" value="" required="">
            <div class="invalid-feedback">
              Valid first name is required.
            </div>
          </div>

          <div class="col-sm-6">
            <label for="lastName" class="form-label">Last name</label>
            <input type="text" class="form-control" id="lastName" name="LastName" placeholder="" value="" required="">
            <div class="invalid-feedback">
              Valid last name is required.
            </div>
          </div>

          <div class="col-12">
            <label for="address" class="form-label">Address</label>
            <input type="text" class="form-control" id="address" name="Address" placeholder="1234 Main St" required="">
            <div class="invalid-feedback">
              Please enter your shipping address.
            </div>
          </div>

          <div class="col-12">
            <label for="address2" class="form-label">Address 2 <span class="text-muted">(Optional)</span></label>
            <input type="text" class="form-control" id="address2" name="AddressSecond" placeholder="Apartment or suite">
          </div>

          <div class="col-md-5">
            <label for="city" class="form-label">City</label>
            <input type="text" class="form-control" id="city" name="City" placeholder="" required="">
            <div class="invalid-feedback">
              Please select a valid city.
            </div>
          </div>

          <div class="col-md-3">
            <label for="zip" class="form-label">Zip Code</label>
            <input type="text" class="form-control" id="zip" name="ZipCode" placeholder="" required="">
            <div class="invalid-feedback">
              Zip code required.
            </div>
          </div>
        </div>

        <hr class="my-4">

        <button class="w-100 btn btn-primary btn-lg" type="submit">Buy</button>
    </div>
  </div>
}

</section>